org.springframework.cloud.dataflow.rest.client

## Class VndErrorResponseErrorHandler

- java.lang.Object
- - org.springframework.web.client.DefaultResponseErrorHandler
  - - org.springframework.cloud.dataflow.rest.client.VndErrorResponseErrorHandler

- All Implemented Interfaces:
    org.springframework.web.client.ResponseErrorHandler

      public class VndErrorResponseErrorHandler
      extends org.springframework.web.client.DefaultResponseErrorHandler

  Extension of `DefaultResponseErrorHandler` that knows how to de-serialize a `VndErrors.VndError` structure.
  Author:
    Eric Bottard, Gunnar Hillert

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VndErrorResponseErrorHandler(List<org.springframework.http.converter.HttpMessageConverter<?>> messageConverters)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleError(org.springframework.http.client.ClientHttpResponse response)`

    - ### Methods inherited from class org.springframework.web.client.DefaultResponseErrorHandler

      `getCharset, getHttpStatusCode, getResponseBody, handleError, hasError, hasError, hasError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.web.client.ResponseErrorHandler

      `handleError`

- - ### Constructor Detail

    - #### VndErrorResponseErrorHandler

          public VndErrorResponseErrorHandler(List<org.springframework.http.converter.HttpMessageConverter<?>> messageConverters)

  - ### Method Detail

    - #### handleError

          public void handleError(org.springframework.http.client.ClientHttpResponse response)
                           throws IOException

      Specified by:
        `handleError` in interface `org.springframework.web.client.ResponseErrorHandler`
      Overrides:
        `handleError` in class `org.springframework.web.client.DefaultResponseErrorHandler`
      Throws:
        `IOException`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.